unit rd_form;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  sys_radio, StdCtrls, Buttons, ExtCtrls;

type
  TForm1 = class(TForm)
    Radio1: TRadio;
    SpeedButton1: TSpeedButton;
    SpeedButton3: TSpeedButton;
    Edit1: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Timer1: TTimer;
    Button1: TButton;
    CheckBox1: TCheckBox;
    procedure FormCreate(Sender: TObject);
    procedure Radio1Frequency(freq: Integer);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    function  Radio1StationFound(freq: Integer): Boolean;
    procedure Timer1Timer(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
// Radio1.Base contains the I/O address of the detected radio chip, or 0 if not found
  Label2.Caption := IntToHex(Radio1.Base, 3);
// Radio1.Frequency := 9130;  // go to a specific station. e.g. 91.30MHz
end;

procedure TForm1.Radio1Frequency(freq: Integer);
begin  // The OnFrequency event is called whenever the frequency changes
  Edit1.Text := Radio1.Display;  // Display will format the frequency to something readable
end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
  if Radio1.Frequency > Radio1.Minimum
    then Radio1.Frequency := Radio1.Frequency - Radio1.TuneInterval;
end;

procedure TForm1.SpeedButton3Click(Sender: TObject);
begin
  if Radio1.Frequency < Radio1.Maximum
    then Radio1.Frequency := Radio1.Frequency + Radio1.TuneInterval;
end;

function TForm1.Radio1StationFound(freq: Integer): Boolean;
begin  // return TRUE if you want to keep scanning for more stations
  result := false;        // found a station -- don't continue
  Radio1.mute := false;   // let's hear it. (ScanStations mutes radio)
  CheckBox1.Checked  := false;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  Timer1.Enabled := false;
  Radio1.ScanStations(Radio1.Frequency, true);  // find first station
end;

// Minimum and Maximum contains the Range of frequencies supported by your card
// Minimum default is 8750 which represents 87.50MHz.
// Tune Interval is normally 10, but you can change it to 5 for fine tuning
//  and is used when scanning for stations. You must have an OnStationFound
//  event defined, (and a detected FM radio chip) before Scanstations() will work.
// After a scan, radio output will be muted.

procedure TForm1.Button1Click(Sender: TObject);
begin
//     procedure ScanStations(from : integer; fwd : boolean);
  CheckBox1.Checked  := true;
  Radio1.ScanStations(Radio1.Frequency + Radio1.TuneInterval, true);  // find next station
//  Radio1.ScanStations(Radio1.Frequency - Radio1.TuneInterval, false);  // find previous station
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  Radio1.Mute := CheckBox1.Checked;
end;

end.
